Bug 247992 - zpool-features(7): large_blocks and loader
Summary: zpool-features(7): large_blocks and loader
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-15 09:29 UTC by Anton Saietskii
Modified: 2020-07-15 14:40 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Saietskii 2020-07-15 09:29:00 UTC
Description for large_blocks feature states the following at the end (verified manpages for 11.4-R, 12.1-R, and HEAD):
"Please note that booting from datasets that have recordsize greater than 128KB is NOT supported by the FreeBSD boot loader."

However, this has been fixed in r328866 more than 2 years ago.
Comment 1 commit-hook freebsd_committer 2020-07-15 14:39:06 UTC
A commit references this bug:

Author: allanjude
Date: Wed Jul 15 14:38:16 UTC 2020
New revision: 363224
URL: https://svnweb.freebsd.org/changeset/base/363224

Log:
  zpool-features(7): Note that the boot loader has support for large_blocks

  Since r304321 (-current: Aug 18, 2016) and r328866 (stable/11: Feb 5, 2018)
  the FreeBSD loader has supported reading from datasets with the
  large_blocks feature active.

  PR:		247992
  Reported by:	Anton Saietskii <vsasjason@gmail.com>
  MFC after:	2 weeks
  Sponsored by:	Klara Inc.

Changes:
  head/cddl/contrib/opensolaris/cmd/zpool/zpool-features.7